//--------------------------------------------------------------------
// Microsoft ADO
//
// (c) 1996 Microsoft Corporation.  All Rights Reserved.
//
// @doc
//
// @module	adoid.h | ADO Guids
//
// @devnote None
//--------------------------------------------------------------------


// The following range of 255 guids has been reserved for the base objects.
// 	00000200-0000-0010-8000-00AA006D2EA4 - 000002FF-0000-0010-8000-00AA006D2EA4
// If you need more then please take a range from daoguid.txt and update that file in

#define DEFINE_DAOGUID(name, l) \
    DEFINE_GUID(name, l, 0, 0x10, 0x80,0,0,0xAA,0,0x6D,0x2E,0xA4)

// Type library
DEFINE_DAOGUID(LIBID_CADO10,					0x00000200);
DEFINE_DAOGUID(LIBID_CADOR11,					0x00000300);

// Error
DEFINE_DAOGUID(IID_IADOError,            0x00000205);
DEFINE_DAOGUID(IID_IADOErrors,           0x00000206);

// Property
DEFINE_DAOGUID(IID_IADOProperty,         0x00000209);
DEFINE_DAOGUID(IID_IADOProperties,       0x0000020a);

// Field
DEFINE_DAOGUID(IID_IADOField,            0x00000216);
DEFINE_DAOGUID(IID_IADOFields,           0x00000218);

// Command
DEFINE_DAOGUID(CLSID_CADOCommand,		 0x0000022c);
DEFINE_DAOGUID(IID_IADOCommand,		 0x0000022d);
DEFINE_DAOGUID(IID_IADOCommands,        0x0000022e);

// Parameter
DEFINE_DAOGUID(CLSID_CADOParameter,		0x00000231);
DEFINE_DAOGUID(IID_IADOParameter,        0x00000232);
DEFINE_DAOGUID(IID_IADOParameters,       0x00000233);

//Recordset
DEFINE_DAOGUID(CLSID_CADORecordset,      0x00000281);
DEFINE_DAOGUID(CLSID_CADORRecordset,     0x00000301);
DEFINE_DAOGUID(IID_IADORecordset,		 0x00000243);
DEFINE_DAOGUID(IID_IADORecordsetConstruction,     0x00000283);

// Collections
DEFINE_DAOGUID(IID_IADOCollection,       0x00000254);
DEFINE_DAOGUID(IID_IADODynaCollection,   0x00000255);

// Connection
DEFINE_DAOGUID(CLSID_CADOConnection,	   0x00000293);
DEFINE_DAOGUID(IID_IADOConnection,		   0x00000274);
DEFINE_DAOGUID(IID_ICADOConnection,		   0x00000275);

// DAO Provider CLSID.  This CLSID is used by the OLE-DB utilites to associate
// DAO's error lookup service with the DAO Provider
DEFINE_DAOGUID(CLSID_ADO,				   0x00000279);

// 0x00000280 is reserved by DAO's error lookup service!

// Enums 
DEFINE_DAOGUID(IID_EnumCursorType,			0x00000296);
DEFINE_DAOGUID(IID_EnumCursorOption,		0x00000297);
DEFINE_DAOGUID(IID_EnumLockType,			0x00000298);
//DEFINE_DAOGUID(IID_EnumExecuteOption,		0x00000299);
DEFINE_DAOGUID(IID_EnumDataType,			0x0000029A);
DEFINE_DAOGUID(IID_EnumConnectPrompt,		0x0000029B);
DEFINE_DAOGUID(IID_EnumConnectMode,			0x0000029C);
DEFINE_DAOGUID(IID_EnumPrepareOption,		0x0000029D);
DEFINE_DAOGUID(IID_EnumIsolationLevel,		0x0000029E);
DEFINE_DAOGUID(IID_EnumXactAttribute,		0x0000029F);
DEFINE_DAOGUID(IID_EnumFieldAttribute,		0x000002A0);
DEFINE_DAOGUID(IID_EnumEditMode,			0x000002A1);
DEFINE_DAOGUID(IID_EnumRecordStatus,		0x000002A2);
DEFINE_DAOGUID(IID_EnumPosition,			0x000002A3);
DEFINE_DAOGUID(IID_EnumPropertyAttributes,	0x000002A4);
DEFINE_DAOGUID(IID_EnumErrorValue,			0x000002A5);
DEFINE_DAOGUID(IID_EnumParameterAttributes,	0x000002A6);
DEFINE_DAOGUID(IID_EnumParameterDirection,	0x000002A7);
DEFINE_DAOGUID(IID_EnumFilterCriteria,		0x000002A8);
DEFINE_DAOGUID(IID_EnumCommandType,			0x000002A9);
DEFINE_DAOGUID(IID_EnumCursorLocation,		0x000002AA);


